/* Universal/generic */
body {
  color: white;
  background-color: black;
  font-family: "ITC Berkeley Oldstyle Std", Cambria, sans-serif;
}
img {
  border-width: 0;
}
th {
  text-align: center;
  vertical-align: middle;
  padding: 0.125em 0.5em;
  height: 20px;
  /* acts as min-height */
}
td {
  text-align: left;
  vertical-align: baseline;
  padding: 0.125em 0.5em;
  height: 20px;
  /* acts as min-height */
}
a {
  text-decoration: none;
  color: #bb832c;
}
a:hover {
  color: #e9a740;
}
table.header td {
  font-weight: bolder;
  font-size: 150%;
  padding-top: 0;
  padding-bottom: 0;
}
td.page-header {
  white-space: nowrap;
}
div.section-header {
  font-weight: bolder;
  font-size: 125%;
}
footer {
  clear: both;
  margin-top: 4em;
  text-align: center;
  background: repeat-x center top url(static-images/BarbedWire.png);
  background-size: auto 16px;
  padding-top: 2em;
  image-rendering: pixelated;
}
td.transparent {
  background-color: #ddeeff !important;
}
ul.contents {
  list-style-type: none;
  margin-left: 0;
  padding-left: 0;
}
span.register {
  color: #bb832c;
}
div.box {
  width: 100%;
  padding: 6px;
  margin-bottom: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  -khtml-border-radius: 10px;
  border-radius: 10px;
}
div.box-title {
  font-size: 150%;
  font-weight: bolder;
}
div.box p {
  margin-bottom: 0;
}
div.box-1 {
  background-color: #153167;
}
div.box-2 {
  background-color: #4a79cb;
}
/* DPT: This "table table" rule is strange. */
table table.default th,
table.default th {
  background-color: #4a79cb;
}
table table.default td,
table.default td {
  background-color: #153167;
}
td.centre {
  text-align: center;
}
/* Home page */
ul.index-list {
  list-style-type: none;
  margin-top: 0;
  margin-left: 0;
  padding-left: 20px;
}
/* Disassembly pages */
table.asm-navigation {
  margin-top: 10px;
  border-collapse: collapse;
  width: 100%;
}
table.asm-navigation td {
  background-color: #4f3915;
  text-shadow: 0 1px 1px black;
}
table.asm-navigation td.prev {
  width: 30%;
  text-align: left;
}
table.asm-navigation td.up {
  width: 40%;
  text-align: center;
}
table.asm-navigation td.next {
  width: 30%;
  text-align: right;
}
table.disassembly {
  width: 100%;
  border-collapse: collapse;
}
div.description {
  margin-top: 10px;
  font-weight: bolder;
}
div.details {
  margin-bottom: 10px;
}
div.comments {
  margin-top: 10px;
  margin-bottom: 10px;
}
table.input-1,
table.output-1 {
  margin-bottom: 10px;
}
table.input-1 th,
table.output-1 th {
  background-color: #4a79cb;
}
table.input-1 td,
table.output-1 td {
  background-color: #153167;
}
/* Give input and output tables the same minimum width */
table.input-1,
table.output-1 {
  min-width: 20em;
}
td.register {
  color: #bb832c;
  width: 20px;
  text-align: center;
}
td.asm-label-1 {
  color: #e9a740;
  padding-right: 10px;
}
td.address-2 {
  color: #bb832c;
  background-color: #071731;
  padding-right: 10px;
}
td.address-1 {
  color: #4a79cb;
  background-color: #071731;
  padding-right: 10px;
  font-weight: 300;
}
td.instruction {
  color: #639bfd;
  background-color: #153167;
  white-space: pre;
  padding-right: 10px;
  font-weight: 400;
}
td.comment-11 {
  background-color: #071731;
  border-bottom: 1px solid #153167;
}
td.map-c-comment {
  padding-left: 0;
}
/* Maps */
table.map th {
  color: #bb832c;
  background-color: #4f3915;
  text-shadow: 0 1px 1px black;
}
table.map td {
  background-color: #071731;
}
div.map-intro {
  margin-bottom: 10px;
}
table.map td.map-page-1,
table.map td.map-byte-1,
table.map td.map-b,
td.map-w,
table.map td.map-c,
table.map td.map-g,
table.map td.map-t,
table.map td.map-s,
td.map-u {
  text-align: right;
}
table.map td.map-page-1,
table.map td.map-byte-1 {
  background-color: transparent;
}
table.map td.map-b,
table.map td.map-c,
table.map td.map-g,
table.map td.map-s,
table.map td.map-t,
table.map td.map-u,
table.map td.map-w {
  background-color: #071731;
}
table.map td.map-b-desc,
table.map td.map-c-desc,
table.map td.map-g-desc,
table.map td.map-s-desc,
table.map td.map-t-desc,
table.map td.map-u-desc,
table.map td.map-w-desc {
  background-color: #153167;
  color: white;
  font-family: inherit;
  font-style: normal;
}
table.map td.map-b-desc {
  color: white;
  font-style: normal;
}
table.map td.map-c-desc {
  color: white;
  font-style: italic;
}
table.map td.map-g-desc {
  color: white;
  font-style: normal;
}
table.map td.map-s-desc {
  color: white;
  font-style: normal;
}
table.map td.map-t-desc {
  color: white;
  font-style: normal;
}
table.map td.map-u-desc {
  color: white;
  font-style: normal;
}
table.map td.map-w-desc {
  color: white;
  font-style: normal;
}
/* Game status buffer */
td.map-length-1 {
  text-align: center;
}
div.map-entry-title-11 {
  font-weight: bolder;
}
div.map-entry-title-11,
div.map-entry-desc-1,
td.map-s-desc,
td.map-u-desc {
  font-family: "ITC Berkeley Oldstyle Std", Cambria, sans-serif;
  /* defeats skoolkit.css */
  color: white;
}
/* Graphic glitches */
table.gglitch {
  border-collapse: collapse;
}
table.gglitch td {
  text-align: center;
  border-width: 1px;
  border-style: solid;
  border-color: white;
  padding: 5px;
}
/* Changelog */
div.list-entry {
  width: 100%;
  padding: 6px;
  margin-bottom: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  -khtml-border-radius: 10px;
  border-radius: 10px;
}
div.list-entry-title {
  font-size: 150%;
  font-weight: bolder;
}
div.list-entry-1 {
  background-color: #153167;
}
div.list-entry-2 {
  background-color: #153167;
}
div.list-entry-desc {
  margin-top: 5px;
}
ul.list-entry {
  margin-top: 5px;
  margin-bottom: 0;
}
.gallery TD {
  vertical-align: top;
}
